package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.CodeItem;
import com.sa.ibiz.demo.demo.service.dto.CodeItemSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[CodeItem] 服务对象接口
 */
public interface CodeItemService extends IService<CodeItem>{

	boolean getDraft(CodeItem et);
	boolean remove(CodeItem et);
		CodeItem get(CodeItem et);
	boolean create(CodeItem et);
	boolean checkKey(CodeItem et);
	boolean update(CodeItem et);
    List<CodeItem> listDefault(CodeItemSearchFilter filter) ;
	Page<CodeItem> searchDefault(CodeItemSearchFilter filter);
    List<CodeItem> listCurCL(CodeItemSearchFilter filter) ;
	Page<CodeItem> searchCurCL(CodeItemSearchFilter filter);
	/**	 实体[CodeItem] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }